/*
 * [Balancer.java]
 *
 * Summary: enum of things to balance.
 *
 * Copyright: (c) 2011-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  1.0 2011-02-07 initial version.
 */
package com.mindprod.masmbalancer;

/**
 * enum of things to balance.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 1.0 2011-02-07 initial version.
 * @since 2011-02-07
 */
public enum Balancer
    {
        ALL( "balance everything" ),
        SEGMENT( "SEGMENT / struct / ends" ),
        MACRO( "MACRO / endm" ),
        PROC( "PROC / endp" ),
        IF( "IF / else / endif" );

    /**
     * description
     */
    private final String desc;

    /**
     * constructor
     *
     * @param desc description of balancer
     */
    Balancer( String desc )
        {
        this.desc = desc;
        }

    /**
     * override standard toString to control GUI JComboBox display
     *
     * @return description of this balancer
     */
    public String toString()
        {
        return desc;
        }
    }
